Bug 541131 - tetex-elsevier documentation does not work with texdoc
Summary: tetex-elsevier documentation does not work with texdoc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex-elsevier
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mary Ellen Foster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-25 01:27 UTC by Michal Jaegermann
Modified: 2010-01-07 00:57 UTC (History)
3 users (show)

Fixed In Version: 0.1.20090917-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-07 00:54:20 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2009-11-25 01:27:52 UTC
Description of problem:

'texdoc elsdoc' produces "Can't find documentation for `elsdoc'" instead of opening a corresponding pdf file.  For this to work /usr/share/doc/tetex-elsevier-0.1.20090917/elsdoc.pdf would need to be
linked with /usr/share/texmf/doc/latex/elsevier/elsdoc.pdf (or something similar).  The same for instructions-harv.pdf and instructions-num.pdf would
be possibly nice but secondary.

Version-Release number of selected component (if applicable):
tetex-elsevier-0.1.20090917-1.fc13 (and other similar)

Additional info:
The above means that adding 'elsdoc' to texdoctk data would not do much good and that is unfortunate.

Quite possibly other similar packages have analogous issue but I just bumped into that one. :-)

Comment 1 Mary Ellen Foster 2009-11-25 12:14:19 UTC
Hmm, interesting -- I don't know if there are guidelines for where to put TeX documentation. I guess the best is to put it both in the package %doc location and in /usr/share/texmf/doc as you suggest -- thanks for noticing this. Will update soon.

Comment 2 Michal Jaegermann 2009-11-25 18:38:15 UTC
> I don't know if there are guidelines for where to put TeX
> documentation.

I do not know if such explicit Fedora guidelines do exist either.  If not then maybe this is an oversight?  Only if you want documetation to be findable by 'texdoc', and 'texdoctk' too, then is should be somewhere where kpsewhich will list it.  Check /usr/bin/texdoc shell script for how this is done. In other words something located in subdirectories of /usr/local/share/texmf/doc/ will work too without any changes to /usr/share/texmf/web2c/texmf.cnf where TEXDOCS is set.  This is also where 'mktexlsr' will record documentation files.

Like I suggested symlinks in right places are entirely sufficient.

I also cannot tell if there are agreed upon procedures of maintaining /usr/share/texmf/texdoctk/texdoctk.dat.  Unfortunately that seems to be monolithic although I am not sure about that without diving into a texdoctk code.
Sure conditionally adding a non-existing yet line or two by a package script is not an issue but updates to texlive-texmf will clobber that.  Maybe some triggers could prevent this.  Possible modifications to texdoctk to do some "includes" would likely be a better way.  No idea who could/should coordinate that.

Comment 3 Fedora Update System 2009-11-27 10:35:49 UTC
tetex-elsevier-0.1.20090917-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-2.fc12

Comment 4 Fedora Update System 2009-11-27 10:36:49 UTC
tetex-elsevier-0.1.20090917-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-2.fc11

Comment 5 Fedora Update System 2009-11-27 21:52:11 UTC
tetex-elsevier-0.1.20090917-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex-elsevier'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12258

Comment 6 Fedora Update System 2009-11-27 21:54:04 UTC
tetex-elsevier-0.1.20090917-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex-elsevier'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12273

Comment 7 Fedora Update System 2010-01-07 00:54:15 UTC
tetex-elsevier-0.1.20090917-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-01-07 00:57:42 UTC
tetex-elsevier-0.1.20090917-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.